> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flintai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single rule by ID

> Get a single rule by its rule_id from the unified rules table (static + external)



## OpenAPI

````yaml /flintai/api-reference/openapi.json get /rules/tenants/{tenant_id}/workspaces/{workspace_id}/{rule_id}
openapi: 3.0.3
info:
  contact: {}
  description: Flint AI Platform API
  license:
    name: Flint AI
    url: https://www.sandboxaq.com/legal/eula
  title: Flint AI Platform API
  version: 1.0.0
servers:
  - description: Flint AI Platform (per-tenant instance)
    url: https://{instance}.flintai.dev/api/v1
    variables:
      instance:
        default: your-instance
        description: Your Flint AI instance subdomain
security: []
paths:
  /rules/tenants/{tenant_id}/workspaces/{workspace_id}/{rule_id}:
    get:
      tags:
        - rules
      summary: Get a single rule by ID
      description: >-
        Get a single rule by its rule_id from the unified rules table (static +
        external)
      operationId: GetRule
      parameters:
        - description: Rule ID (e.g. SR-aispm_missing_input_guardrails)
          in: path
          name: rule_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/engine_output.RuleInfo'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.RequestError'
          description: Internal Server Error
      security:
        - BearerAuth: []
components:
  schemas:
    engine_output.RuleInfo:
      properties:
        object_types:
          items:
            type: string
          type: array
        rule_description:
          type: string
        rule_id:
          type: string
        rule_name:
          type: string
        source:
          type: string
      type: object
    common.RequestError:
      description: Error responses returned by the API
      properties:
        code:
          example: 400
          type: integer
        message:
          example: Invalid request
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    BearerAuth:
      description: Use this header with a Bearer token to authenticate requests.
      in: header
      name: Authorization
      type: apiKey

````